<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/TOC.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.TOC</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Formatters.html" >Formatters</a>.TOC

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="TOC/Linker.html" >Linker</a></div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.Formatters.TOC.Linker" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/TOC.py.html#line15" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract class for linking declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="TOC/TOC.html" >TOC</a></div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/TOC.py.html#line23" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Maintains a dictionary of all declarations which can be looked up
   to create cross references.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="TOC/Linker.html" >Linker</a></div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.Formatters.TOC.Linker" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/TOC.py.html#line15" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract class for linking declarations. This class has only one
   method&#44; link&#40;decl&#41;&#44; which returns the link for the given declaration. This
   is dependant on the type of formatter used&#44; and so a Linker derivative
   must be passed to the TOC upon creation.</div></div>
<div class="item"><div class="synopsis">class <a href="TOC/TOC.html" >TOC</a></div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/TOC.py.html#line23" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Maintains a dictionary of all declarations which can be looked up
   to create cross references. Names are fully scoped.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
